Package org.apache.cxf.endpoint

# Interface ServiceContractResolver

public interface ServiceContractResolver
A `ServiceContractResolver` resolves a service's QName to the URI of the service's WSDL contract.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `URI`
  `getContractLocation(QName qname)`
  Resolves a service's QName to a URI representing the location of a WSDL contract.

- ## Method Details

  - ### getContractLocation

    URI getContractLocation(QName qname)
    Resolves a service's QName to a URI representing the location of a WSDL contract. This method is called by the `ServiceContractResolverRegistry` with which the contract resolver is registered.
    Parameters:
      `qname` - the QName being mapped to a URI
    Returns:
      URI representing the location of a WSDL contract